import 'OdooConnector.dart';
import 'OdooResponse.dart';
import 'OdooUser.dart';

class AuthenticateCallback {
  bool isSuccess = false;
  late OdooResponse _response;
  String _newSessionId='';

  AuthenticateCallback(
      bool isSuccess, OdooResponse response, String newSessionId) {
    isSuccess = isSuccess;
    _response = response;
    _newSessionId = newSessionId;
  }

  String getSessionId() {
    return _newSessionId;
  }

  OdooUser getUser() {
    return OdooUser().parse(_response, _newSessionId);
  }

  Map? getError() {
    return !isSuccess ? _response.getError() : null;
  }
}

