class OdooResponse {
  dynamic _result;
  late int _statusCode;
  late String _sessionId;

  OdooResponse(Map result, int statusCode, String newSessionId) {
    _result = result;
    _statusCode = statusCode;
    _sessionId = newSessionId;
  }

  bool hasError() {
    return _result['error'] != null;
  }

  Map getError() {
    return _result['error'];
  }

  String getSessionId() {
    return _sessionId;
  }

  String? getErrorMessage() {
    if (hasError()) {
      return _result['error']['message'];
    }
    return null;
  }

  int getStatusCode() {
    return _statusCode;
  }

  dynamic getResult() {
    return _result['result'];
  }
}
