import 'OdooConnector.dart';
import 'OdooResponse.dart';

class OdooUser {
  late String name, sessionId, uid, database, username, companyId, partnerId;
  late String lang, tz;

  OdooUser parse(OdooResponse response, String sessionId) {
    if (!response.hasError()) {
      this.sessionId = sessionId;
      Map data = response.getResult();
      name = data['name'];
      uid = data['uid'];
      database = data['db'];
      username = data['username'];
      companyId = data['company_id'];
      partnerId = data['partner_id'];
      lang = data['user_context']['lang'];
      tz = data['user_context']['tz'];
    }
    return this;
  }

  @override
  String toString() {
    var map = {
      "name": name,
      "uid": uid,
      "partner_id": partnerId,
      "company_id": companyId,
      "username": username,
      "lang": lang,
      "timezone": tz,
      "database": database,
      "session_id": sessionId
    };
    return map.toString();
  }
}
